ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jaikiran <...@git.apache.org>
Subject [GitHub] ant-ivy issue #54: IVY-735 Support timeouts on resolvers
Date Sun, 23 Jul 2017 05:35:21 GMT
Github user jaikiran commented on the issue:

    https://github.com/apache/ant-ivy/pull/54
  
    Gintas, thanks for pointing me to that code. I now understand what you meant. 
    
    So essentially, Ivy internally tries to support both 2.x and 3.x version of HTTP client
library at runtime. But at compile time we depend on 3.x version now. So it's not going to
work out supporting 2.x version since we will end up using 3.x APIs at compile time. But that's
a different topic altogether and something that I will raise a dev list mailing thread.
    
    In the context of this feature/change, what I have now done is - updated the commit to
use the HTTP client 2.x APIs to set these timeouts. These APIs have been deprecated in 3.x
but should work in both 2.x and 3.x (at least 3.1, the version we are currently using). Once/if
we come to a consensus of just supporting 3.x, I will update the code in separate commits
to use the newer APIs that are available in 3.x



---
If your project is set up for it, you can reply to this email and have your
reply appear on GitHub as well. If your project does not have this feature
enabled and wishes so, or if the feature is enabled but not working, please
contact infrastructure at infrastructure@apache.org or file a JIRA ticket
with INFRA.
---

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message